Runtime

## org.eclipse.gmf.runtime.notation
Interface StringObjectConverter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  DataTypeStyle, ListValueStyle, PropertyValue, SingleValueStyle

All Known Implementing Classes:
  DataTypeStyleImpl, ListValueStyleImpl, PropertyValueImpl, SingleValueStyleImpl

    public interface StringObjectConverter

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'String Object Converter'.

See Also:
  `NotationPackage.getStringObjectConverter()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.Object` `getObjectFromString(java.lang.String stringValue)`
`java.lang.String` `getStringFromObject(java.lang.Object objectValue)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStringFromObject

    java.lang.String getStringFromObject(java.lang.Object objectValue)

  ** Generated **
  Model:

### getObjectFromString

    java.lang.Object getObjectFromString(java.lang.String stringValue)

  ** Generated **
  Model:

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.